Bug 968949 - Power off button doesn't respond
Power off button doesn't respond
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 06:43 EDT by Kamil Páral
Modified: 2015-02-17 10:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:23:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journal (101.56 KB, text/plain)
2013-05-30 06:44 EDT, Kamil Páral
no flags Details
loginctl (1.01 KB, text/plain)
2013-05-30 06:44 EDT, Kamil Páral
no flags Details
rpm-qa (39.63 KB, text/plain)
2013-05-30 06:44 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2013-05-30 06:43:12 EDT
Description of problem:
Freshly installed F19 Beta. I hit Power Off and nothing happened. journactl says:

May 30 11:07:49 localhost.localdomain /etc/gdm/Xsession[1232]: JS LOG: Ignored exception from dbus method: Gio.IOErrorEnum: GDBus.Error:org.gnome.SessionManager.NotInRunning: Shutdown interface is only available during the Running phase

Log Out doesn't work either.

After reboot everything seems to work OK.

Version-Release number of selected component (if applicable):
gnome-session-3.8.2-1.fc19.x86_64
gnome-session-xsession-3.8.2-1.fc19.x86_64
gnome-shell-3.8.2-2.fc19.x86_64

How reproducible:
no idea, usually it works

Steps to Reproduce:
1. fresh install, second boot or so, just logged in and hit Power Off
Comment 1 Kamil Páral 2013-05-30 06:44:13 EDT
Created attachment 754775 [details]
journal
Comment 2 Kamil Páral 2013-05-30 06:44:17 EDT
Created attachment 754776 [details]
loginctl
Comment 3 Kamil Páral 2013-05-30 06:44:22 EDT
Created attachment 754777 [details]
rpm-qa
Comment 4 Cody Pisto 2013-09-21 13:58:39 EDT
Seeing the same thing on current Fedora 19.

gnome-session-3.8.4-1.fc19.x86_64

Confirmed to happen 100% of the time if the power off dialog has been canceled at least once. (after canceling the dialog, power off from user menu never shows the dialog again).

Same message in journalctl as original post.
Comment 5 Cody Pisto 2013-09-21 14:00:33 EDT
exact line from journalctl:

gnome-session[1353]: JS LOG: Ignored exception from dbus method: Gio.IOErrorEnum: GDBus.Error:org.gnome.SessionManager.NotInRunning: Shutdown interface is only available during the Running phase
Comment 6 Cody Pisto 2013-09-21 14:05:24 EDT
Strangely, after a few reboots, the behavior goes away.

I'll see if I can track down how to reliably reproduce the issue.
Comment 7 Fedora End Of Life 2015-01-09 13:15:59 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 10:23:40 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.